package com.zcloud.basic.info.service;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.api.UserCorpRecordServiceI;
import com.zcloud.basic.info.command.UserCorpRecordAddExe;
import com.zcloud.basic.info.command.UserCorpRecordRemoveExe;
import com.zcloud.basic.info.command.UserCorpRecordUpdateExe;
import com.zcloud.basic.info.command.query.UserCorpRecordQueryExe;
import com.zcloud.basic.info.dto.UserChangeRecordInfoQry;
import com.zcloud.basic.info.dto.UserCorpRecordAddCmd;
import com.zcloud.basic.info.dto.UserCorpRecordPageQry;
import com.zcloud.basic.info.dto.UserCorpRecordUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserCO;
import com.zcloud.basic.info.dto.clientobject.UserChangeRecordCO;
import com.zcloud.basic.info.dto.clientobject.UserCorpRecordCO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-12-03 10:21:59
 */
@Service
@AllArgsConstructor
public class UserCorpRecordServiceImpl implements UserCorpRecordServiceI {
    private final UserCorpRecordAddExe userCorpRecordAddExe;
    private final UserCorpRecordUpdateExe userCorpRecordUpdateExe;
    private final UserCorpRecordRemoveExe userCorpRecordRemoveExe;
    private final UserCorpRecordQueryExe userCorpRecordQueryExe;

    @Override
    public PageResponse<UserCorpRecordCO> listPage(UserCorpRecordPageQry qry) {

        return userCorpRecordQueryExe.execute(qry);
    }

    @Override
    public SingleResponse add(UserCorpRecordAddCmd cmd) {

        userCorpRecordAddExe.execute(cmd);
        return SingleResponse.buildSuccess();
    }

    @Override
    public void edit(UserCorpRecordUpdateCmd userCorpRecordUpdateCmd) {
        userCorpRecordUpdateExe.execute(userCorpRecordUpdateCmd);
    }

    @Override
    public void remove(Long id) {
        userCorpRecordRemoveExe.execute(id);
    }

    @Override
    public void removeBatch(Long[] ids) {
        userCorpRecordRemoveExe.execute(ids);
    }

    @Override
    public UserCO getInfoById(Long id) {
        return userCorpRecordQueryExe.getInfoById(id);

    }

    @Override
    public UserCorpRecordCO getChangerRecordInfoById(UserChangeRecordInfoQry userChangeRecordInfoQry) {
        return userCorpRecordQueryExe.getChangerRecordInfoById(userChangeRecordInfoQry);

    }
}

